Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007517TestLinkTest Specification Exportpublic2016-04-21 14:242016-09-08 15:13
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007517: Export TestCases frozen status in XML content
DescriptionEach testcase version can be frozen or not.
Frozen status of each TestCase is not provided in "Export" function (TestSuite and TestCases menus). We cannot use the testcase frozen status information in third part tool.

Steps To Reproduce1) Create a project pro-1
2) Create a Testcase tc-1 in this project pro-1
3) Freeze the testcase tc-1
4) Export Testcase information in XML file (from testsuite menu or testcase menu)
5) check XML content

=> testcase frozen status is missing in XML
Additional InformationActual XML content for an exported testcase :
<testcases>
<testcase internalid="148" name="20160229-22:43:41 A first TestCase">
    <node_order><![CDATA[1]]></node_order>
    <externalid><![CDATA[pre-6]]></externalid>
    <version><![CDATA[1]]></version>
    <summary><![CDATA[ The summary of the First TestCase]]></summary>
    <preconditions><![CDATA[ ]]></preconditions>
    <execution_type><![CDATA[1]]></execution_type>
    <importance><![CDATA[2]]></importance>
    <estimated_exec_duration></estimated_exec_duration>
    <status>1</status>
[...]
</testcase>
</testcases>


The new XML tag could be added near from <estimated_exec_duration> tag.
The new XML tag could be named <is_open></is_open>
The value could be 1 if testcase version is unfrozen, 0 is testcase version is frozen.

Examples :

unfrozen testcase version
<estimated_exec_duration></estimated_exec_duration>
<is_open><![CDATA[1]]></is_open>
<status>1</status>

frozen testcase version
<estimated_exec_duration></estimated_exec_duration>
<is_open><![CDATA[0]]></is_open>
<status>1</status>
TagsNo tags attached.
Database (MySQL,Postgres,etc)All
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024727)
fman (administrator)
2016-04-21 17:51

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/2bfc9800fbbddd77dd9853d08c0bf4631bc3a9f4 [^]
(0024733)
Mr.Bricodage (updater)
2016-04-22 08:18

correction confirmed :

New tag <is_open> after tag <status> :

<is_open>0</is_open> for frozen tc
<is_open>1</is_open> for unfrozen tc
(0025259)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-04-21 14:24 Mr.Bricodage New Issue
2016-04-21 14:24 Mr.Bricodage Issue generated from: 0007516
2016-04-21 17:51 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-04-21 17:51 fman Note Added: 0024727
2016-04-21 17:51 fman Status new => resolved
2016-04-21 17:51 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-04-21 17:51 fman Resolution open => fixed
2016-04-21 17:51 fman Assigned To => fman
2016-04-21 17:52 fman Relationship added child of 0007262
2016-04-22 08:18 Mr.Bricodage Note Added: 0024733
2016-09-08 15:13 fman Note Added: 0025259
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker